#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,br=0,q;
    vector<int> niz(200000,0);
    vector<int> sniz(200000,0);
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> niz[i];
        if(niz[i]==1){
            sniz[br]=1;
            br++;
        }
    }
    cin >> q;
    int pom1,pom2;
    for(int i=0;i<q;i++){
        cin >> pom1 >> pom2;
        if(pom1==0){
            cout << sniz[pom2-1];
        }
        else{
            cin >> pom1;
            if(niz[pom2-1]==1 && pom1==0){
                br--;
                sniz[br]=0;
                niz[pom2-1]=0;
            }
            else if(niz[pom2-1]==0 && pom1==1){
                sniz[br]=1;
                br++;
                niz[pom2-1]=1;
            }
        }
    }
    return 0;
}